## parted-swig 0.1.20020731-2

=== debian/changelog ===
parted-swig (0.1.20020731-2) unstable; urgency=low

  * Use swig to build, not swig-1.3 (Closes: #247621).
  * Updated build-deps not to use old swig1.3 compat package.
  * Added "distclean" target in Makefile, use it in debian/rules (avoiding
    looking for perl 5.6.1 config on a 5.8 install...)
  * Fixed toplevel Makefile to reflect the fact that now perl Makefiles do
    use DESTDIR.

 -- Yann Dirson <dirson@debian.org>  Thu,  6 May 2004 09:27:23 +0200

parted-swig (0.1.20020731-1) unstable; urgency=low

  * Updated API for libparted 1.6.2.  It turns out the previous version
    was not 100% in sync with 1.4.24, so the swig definitions have to be
    reviewed some day to spot any discrepancies.

 -- Yann Dirson <dirson@debian.org>  Thu,  1 Aug 2002 02:59:03 +0200

parted-swig (0.1.20020721-1) unstable; urgency=low

  * Updated syntax for swig 1.3.13, staying with libparted 1.4.24.  Now
    works again - yay !
  * Addressed a number of items tagged FIXME, for which earlier swig
    versions had problems, but 1.3.13 is fine.
  * Use debian/compat, build-depend on debhelper 4 for this.
  * Cleanup of packaging to put it into releasable state.

 -- Yann Dirson <dirson@debian.org>  Sun, 21 Jul 2002 23:55:03 +0200

parted-swig (0.1.20020604-0) experimental; urgency=low

  * Updated to build with recent version of parted.  Does not work
    completely, however.
  * More doc.

 -- Yann Dirson <dirson@debian.org>  Tue,  4 Jun 2002 00:24:44 +0200

parted-swig (0.0.20010914-0) experimental; urgency=low

  * Initial Release, announced on swig list and to Thomas Lange.

 -- Yann Dirson <dirson@debian.org>  Fri,  14 Sep 2001 00:00:00 +0100

## parted-swig 0.1.20020731-2build1

=== debian/changelog ===
parted-swig (0.1.20020731-2build1) breezy; urgency=low

  * Rebuild because of unmet deps

 -- Barry deFreese <bddebian@comcast.net>  Mon,  5 Sep 2005 23:06:34 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export CFLAGS = #-Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0 -g
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) maintclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/libparted-swig-perl


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs README TODO
	dh_installexamples test.pl
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## parted-swig 0.1.20020731-2build2

=== Makefile ===
SWIG = swig

export DESTDIR=

STAMPS = perl5-stamp
all: ${STAMPS}

install:
	make -C perl5 install

#

perl5/parted_wrap.c: parted.i Makefile
	cd perl5 && ${SWIG} -perl5 -shadow -o $(notdir $@) ../$<
 # awfull hack
#	perl -pi -e 's/PedDevice_ped_/ped_/g' $@

perl5-stamp: perl5/parted_wrap.c perl5/Makefile
	${MAKE} -C perl5 LD_RUN_PATH=""
	touch $@

perl5/Makefile: perl5/Makefile.PL
	cd perl5 && perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="${CFLAGS}"

#

python/parted_wrap.c: parted.i
  # use -shadow ?
	cd python && ${SWIG} -python -o $(notdir $@) ../$<

#

ruby/parted_wrap.c: parted.i
	cd ruby && ${SWIG} -ruby -o $(notdir $@) ../$<

#

clean:
	rm -f ${STAMPS}
	-${MAKE} -C perl5 clean

distclean:
	rm -f ${STAMPS}
	-${MAKE} -C perl5 distclean

maintclean: distclean
	rm -f */parted_wrap.c
	rm -f perl5/parted.pm
	rm -f python/parted.py

=== debian/changelog ===
parted-swig (0.1.20020731-2build2) dapper; urgency=low

  * Rebuild against newer libparted

 -- Barry deFreese <bddebian@comcast.net>  Mon,  1 May 2006 10:48:47 -0400

=== debian/control ===
Source: parted-swig
Section: interpreters
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 4), perl (>= 5.6.0-17), swig (>= 1.3.13), libparted1.6-dev
Standards-Version: 3.5.2

Package: libparted-swig-perl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}
Description: Perl5 bindings for libparted
 A perl5 library to read and modify partition tables, resize
 partitions, etc., using GNU libparted as a backend, and built using
 SWIG.
 .
 This is alpha software, this wrapper really lacks testing.
